var __defProp = Object.defineProperty;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __objRest = (source, exclude) => {
  var target = {};
  for (var prop in source)
    if (__hasOwnProp.call(source, prop) && exclude.indexOf(prop) < 0)
      target[prop] = source[prop];
  if (source != null && __getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(source)) {
      if (exclude.indexOf(prop) < 0 && __propIsEnum.call(source, prop))
        target[prop] = source[prop];
    }
  return target;
};
import React, { useContext } from "react";
import classnames from "classnames";
import { addUnit } from "../utils";
import { BORDER_TOP } from "../utils/constant";
import ConfigProviderContext from "../config-provider/ConfigProviderContext";
const Grid = (_a) => {
  var _b = _a, {
    children,
    className,
    style
  } = _b, props = __objRest(_b, [
    "children",
    "className",
    "style"
  ]);
  const {
    prefixCls,
    createNamespace
  } = useContext(ConfigProviderContext);
  const [bem] = createNamespace("grid", prefixCls);
  return /* @__PURE__ */ React.createElement("div", {
    style: __spreadValues({
      paddingLeft: addUnit(props.gutter)
    }, style),
    className: classnames(className, bem(), {
      [BORDER_TOP]: props.border && !props.gutter
    })
  }, React.Children.toArray(children).filter(Boolean).map((child, index) => /* @__PURE__ */ React.cloneElement(child, {
    index,
    parent: props
  })));
};
Grid.defaultProps = {
  center: true,
  border: true,
  columnNum: 4
};
var stdin_default = Grid;
export {
  stdin_default as default
};
