import { useEffect, useRef } from "react";
const useMountedRef = () => {
  const mountedRef = useRef(false);
  useEffect(() => {
    mountedRef.current = true;
    return () => {
      mountedRef.current = false;
    };
  });
  return mountedRef;
};
var stdin_default = useMountedRef;
export {
  stdin_default as default
};
