var __defProp = Object.defineProperty;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __objRest = (source, exclude) => {
  var target = {};
  for (var prop in source)
    if (__hasOwnProp.call(source, prop) && exclude.indexOf(prop) < 0)
      target[prop] = source[prop];
  if (source != null && __getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(source)) {
      if (exclude.indexOf(prop) < 0 && __propIsEnum.call(source, prop))
        target[prop] = source[prop];
    }
  return target;
};
import { createElement, useRef, useEffect } from "react";
import { render, unmount } from "./dom/render";
function mountComponent(RootComponent, callback) {
  const root = document.createElement("div");
  const Container = () => {
    const ref = useRef(null);
    useEffect(() => {
      const _a = ref.current, { open, toggle, clear } = _a, rest = __objRest(_a, ["open", "toggle", "clear"]);
      callback(__spreadValues({
        open,
        toggle,
        clear,
        unmount() {
          unmount(root);
          if (root.parentNode) {
            root.parentNode.removeChild(root);
          }
        }
      }, rest));
    }, [ref.current]);
    return createElement(RootComponent, { ref });
  };
  const app = createElement(Container);
  document.body.appendChild(root);
  render(app, root);
}
export {
  mountComponent
};
