var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var stdin_exports = {};
__export(stdin_exports, {
  default: () => stdin_default
});
module.exports = __toCommonJS(stdin_exports);
var import_react = __toESM(require("react"));
var import_classnames = __toESM(require("classnames"));
var import_utils = require("../utils");
var import_Network = require("./Network");
var import_ConfigProviderContext = __toESM(require("../config-provider/ConfigProviderContext"));
const PRESET_IMAGES = ["error", "search", "default"];
const Empty = (props) => {
  const {
    prefixCls,
    createNamespace
  } = (0, import_react.useContext)(import_ConfigProviderContext.default);
  const [bem] = createNamespace("empty", prefixCls);
  const renderImage = () => {
    let {
      image
    } = props;
    if (/* @__PURE__ */ (0, import_react.isValidElement)(image)) {
      return image;
    }
    if (image === "network") {
      return import_Network.Network;
    }
    if (PRESET_IMAGES.includes(image)) {
      image = `https://img.yzcdn.cn/vant/empty-image-${image}.png`;
    }
    return /* @__PURE__ */ import_react.default.createElement("img", {
      src: image,
      alt: ""
    });
  };
  const renderDescription = () => {
    if (props.description) {
      return /* @__PURE__ */ import_react.default.createElement("p", {
        className: (0, import_classnames.default)(bem("description"))
      }, props.description);
    }
    return null;
  };
  const renderBottom = () => {
    if (props.children) {
      return /* @__PURE__ */ import_react.default.createElement("div", {
        className: (0, import_classnames.default)(bem("bottom"))
      }, props.children);
    }
    return null;
  };
  return /* @__PURE__ */ import_react.default.createElement("div", {
    className: (0, import_classnames.default)(props.className, bem()),
    style: props.style
  }, /* @__PURE__ */ import_react.default.createElement("div", {
    className: (0, import_classnames.default)(bem("image")),
    style: (0, import_utils.getSizeStyle)(props.imageSize)
  }, renderImage()), renderDescription(), renderBottom());
};
Empty.defaultProps = {
  image: "default"
};
var stdin_default = Empty;
