var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var stdin_exports = {};
__export(stdin_exports, {
  mockGetBoundingClientRect: () => mockGetBoundingClientRect,
  mockRect: () => mockRect
});
module.exports = __toCommonJS(stdin_exports);
function mockGetBoundingClientRect(rect) {
  const spy = jest.spyOn(Element.prototype, "getBoundingClientRect");
  spy.mockReturnValue(rect);
  return () => spy.mockRestore();
}
function mockRect(vertical) {
  return mockGetBoundingClientRect({
    width: vertical ? 0 : 100,
    height: vertical ? 100 : 0,
    top: vertical ? 0 : 100,
    right: vertical ? 0 : 100,
    left: vertical ? 100 : 0,
    bottom: vertical ? 100 : 0
  });
}
