var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var stdin_exports = {};
__export(stdin_exports, {
  mergeFuncProps: () => mergeFuncProps
});
module.exports = __toCommonJS(stdin_exports);
function mergeFuncProps(p1, p2) {
  const p1Keys = Object.keys(p1);
  const p2Keys = Object.keys(p2);
  const keys = /* @__PURE__ */ new Set([...p1Keys, ...p2Keys]);
  const res = {};
  keys.forEach((key) => {
    const p1Value = p1[key];
    const p2Value = p2[key];
    if (typeof p1Value === "function" && typeof p2Value === "function") {
      res[key] = function(...args) {
        p1Value(...args);
        p2Value(...args);
      };
    } else {
      res[key] = p1Value || p2Value;
    }
  });
  return res;
}
