import { Context } from 'react';
import type { CreateNamespaceReturn } from '../utils';
export declare const defaultPrefixCls = "rc";
export declare const defaultIconPrefixCls = "van-icon";
export interface ConfigProviderContextState {
    iconPrefix?: string;
    prefixCls?: string;
    createNamespace: (name: string, prefix?: string) => CreateNamespaceReturn;
}
export declare const INITIAL_STATE: ConfigProviderContextState;
declare const ConfigProvider: Context<ConfigProviderContextState>;
export default ConfigProvider;
