import { createContext } from "react";
import { createNamespace } from "../utils";
const defaultPrefixCls = "rc";
const defaultIconPrefixCls = "van-icon";
const INITIAL_STATE = {
  iconPrefix: defaultIconPrefixCls,
  prefixCls: defaultPrefixCls,
  createNamespace: (name, prefix) => {
    return createNamespace(name, prefix);
  }
};
const ConfigProvider = createContext(INITIAL_STATE);
var stdin_default = ConfigProvider;
export {
  INITIAL_STATE,
  stdin_default as default,
  defaultIconPrefixCls,
  defaultPrefixCls
};
