import React from 'react';
import { KeyType } from './PropsType';
import { BaseTypeProps } from '../utils';
interface NumberKeyboardKeyProps extends BaseTypeProps {
    type: KeyType;
    text: string | number;
    color?: string;
    wider?: boolean;
    large?: boolean;
    loading?: boolean;
    onPress: (text: string, type: KeyType) => void;
}
declare const NumberKeyboardKey: React.FC<NumberKeyboardKeyProps>;
export default NumberKeyboardKey;
