var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var stdin_exports = {};
__export(stdin_exports, {
  default: () => stdin_default
});
module.exports = __toCommonJS(stdin_exports);
var import_react = __toESM(require("react"));
var import_classnames = __toESM(require("classnames"));
var import_icon = require("../icon");
var import_badge = __toESM(require("../badge"));
var import_ConfigProviderContext = __toESM(require("../config-provider/ConfigProviderContext"));
function _extends() {
  _extends = Object.assign ? Object.assign.bind() : function(target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];
      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }
    return target;
  };
  return _extends.apply(this, arguments);
}
const ActionBarIcon = (props) => {
  const {
    prefixCls,
    createNamespace
  } = (0, import_react.useContext)(import_ConfigProviderContext.default);
  const [bem] = createNamespace("action-bar-icon", prefixCls);
  const renderIcon = () => {
    const {
      badge,
      icon,
      color,
      iconClass,
      iconPrefix
    } = props;
    if (typeof icon === "string") {
      return /* @__PURE__ */ import_react.default.createElement(import_icon.Icon, {
        tag: "div",
        name: icon,
        badge,
        color,
        className: (0, import_classnames.default)(bem("icon"), iconClass),
        classPrefix: iconPrefix
      });
    }
    if (/* @__PURE__ */ (0, import_react.isValidElement)(icon)) {
      return /* @__PURE__ */ import_react.default.createElement(import_badge.default, _extends({}, badge, {
        className: (0, import_classnames.default)(bem("icon"))
      }), icon);
    }
    return null;
  };
  const handleClick = (e) => {
    var _a;
    (_a = props.onClick) == null ? void 0 : _a.call(props, e);
  };
  return /* @__PURE__ */ import_react.default.createElement("div", {
    role: "button",
    className: (0, import_classnames.default)(props.className, bem()),
    style: props.style,
    tabIndex: 0,
    onClick: handleClick
  }, renderIcon(), props.children || props.text);
};
var stdin_default = ActionBarIcon;
