import { MutableRefObject } from 'react';
export type BasicTarget<T = HTMLElement> = (() => T | null) | T | null | MutableRefObject<T | null | undefined>;
type TargetElement = HTMLElement | Element | Document | Window;
export declare function getTargetElement(target?: BasicTarget<TargetElement>, defaultElement?: TargetElement): TargetElement | undefined | null;
type EventType = MouseEvent | TouchEvent;
export default function useClickAway(target: BasicTarget | BasicTarget[], onClickAway: (event: EventType) => void, eventName?: string, isEmit?: boolean): void;
export {};
