var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var stdin_exports = {};
__export(stdin_exports, {
  default: () => createFromIconfontCN
});
module.exports = __toCommonJS(stdin_exports);
var import_react = __toESM(require("react"));
var import_Icon = __toESM(require("./Icon"));
const cache = /* @__PURE__ */ new Set();
function createFromIconfontCN(scriptUrl) {
  if (typeof document !== "undefined" && typeof window !== "undefined" && typeof document.createElement === "function" && typeof scriptUrl === "string" && scriptUrl.length && !cache.has(scriptUrl)) {
    const script = document.createElement("script");
    script.setAttribute("src", scriptUrl);
    script.setAttribute("data-namespace", scriptUrl);
    cache.add(scriptUrl);
    document.body.appendChild(script);
  }
  const Iconfont = (props) => {
    Iconfont.displayName = "Iconfont";
    const {
      name
    } = props;
    let content;
    if (name) {
      content = /* @__PURE__ */ import_react.default.createElement("svg", {
        width: "1em",
        height: "1em",
        fill: "currentColor"
      }, /* @__PURE__ */ import_react.default.createElement("use", {
        xlinkHref: `#${name}`
      }));
    }
    return /* @__PURE__ */ import_react.default.createElement(import_Icon.default, props, content);
  };
  return Iconfont;
}
