var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var stdin_exports = {};
__export(stdin_exports, {
  default: () => stdin_default
});
module.exports = __toCommonJS(stdin_exports);
var import_react = __toESM(require("react"));
var import_classnames = __toESM(require("classnames"));
var import_utils = require("../utils");
var import_ConfigProviderContext = __toESM(require("../config-provider/ConfigProviderContext"));
const SpinIcon = ({
  bem
}) => /* @__PURE__ */ import_react.default.createElement(import_react.default.Fragment, null, Array(12).fill(null).map((_, index) => /* @__PURE__ */ import_react.default.createElement("i", {
  key: index,
  className: (0, import_classnames.default)(bem("line", String(index + 1)))
})));
const CircularIcon = ({
  bem
}) => /* @__PURE__ */ import_react.default.createElement("svg", {
  className: (0, import_classnames.default)(bem("circular")),
  viewBox: "25 25 50 50"
}, /* @__PURE__ */ import_react.default.createElement("circle", {
  cx: "50",
  cy: "50",
  r: "20",
  fill: "none"
}));
const BallIcon = ({
  bem
}) => /* @__PURE__ */ import_react.default.createElement("div", {
  className: (0, import_classnames.default)(bem("ball"))
}, /* @__PURE__ */ import_react.default.createElement("div", null), /* @__PURE__ */ import_react.default.createElement("div", null), /* @__PURE__ */ import_react.default.createElement("div", null));
const Icon = (bem) => ({
  spinner: /* @__PURE__ */ import_react.default.createElement(SpinIcon, {
    bem
  }),
  circular: /* @__PURE__ */ import_react.default.createElement(CircularIcon, {
    bem
  }),
  ball: /* @__PURE__ */ import_react.default.createElement(BallIcon, {
    bem
  })
});
const Loading = (props) => {
  const {
    prefixCls,
    createNamespace
  } = (0, import_react.useContext)(import_ConfigProviderContext.default);
  const [bem] = createNamespace("loading", prefixCls);
  const {
    className,
    type,
    vertical,
    color,
    size,
    textColor,
    children,
    textSize
  } = props;
  const spinnerStyle = (0, import_react.useMemo)(() => __spreadValues({
    color
  }, (0, import_utils.getSizeStyle)(size)), [color, size]);
  const renderText = () => {
    if (children) {
      return /* @__PURE__ */ import_react.default.createElement("span", {
        className: (0, import_classnames.default)(bem("text")),
        style: {
          fontSize: (0, import_utils.addUnit)(textSize),
          color: textColor != null ? textColor : color
        }
      }, children);
    }
    return null;
  };
  return /* @__PURE__ */ import_react.default.createElement("div", {
    className: (0, import_classnames.default)(className, bem([type, {
      vertical
    }]))
  }, /* @__PURE__ */ import_react.default.createElement("span", {
    className: (0, import_classnames.default)(bem("spinner", type)),
    style: spinnerStyle
  }, Icon(bem)[type]), renderText());
};
Loading.defaultProps = {
  type: "circular"
};
var stdin_default = Loading;
