var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var stdin_exports = {};
__export(stdin_exports, {
  default: () => stdin_default
});
module.exports = __toCommonJS(stdin_exports);
var import_react = __toESM(require("react"));
var import_classnames = __toESM(require("classnames"));
var import_ConfigProviderContext = __toESM(require("../config-provider/ConfigProviderContext"));
var import_SidebarContext = __toESM(require("./SidebarContext"));
const Sidebar = (props) => {
  const {
    prefixCls,
    createNamespace
  } = (0, import_react.useContext)(import_ConfigProviderContext.default);
  const [bem] = createNamespace("sidebar", prefixCls);
  const getActive = () => +props.value;
  const setActive = (value) => {
    var _a;
    if (value !== getActive()) {
      (_a = props.onChange) == null ? void 0 : _a.call(props, value);
    }
  };
  return /* @__PURE__ */ import_react.default.createElement(import_SidebarContext.default.Provider, {
    value: {
      getActive,
      setActive
    }
  }, /* @__PURE__ */ import_react.default.createElement("div", {
    role: "tablist",
    className: (0, import_classnames.default)(bem())
  }, import_react.default.Children.toArray(props.children).filter(Boolean).map((child, index) => /* @__PURE__ */ import_react.default.cloneElement(child, {
    index
  }))));
};
Sidebar.defaultProps = {
  value: "0"
};
var stdin_default = Sidebar;
